package auth

import "time"

type Session interface {
	// StoreJwtToken store jwt token is redis, make it expired for feature
	StoreJwtToken(key string, value string, timeout time.Duration) error

	// IsExistsJwtToken judge whether token is invalid
	IsExistsJwtToken(key string) bool

	// DeleteJwtToken delete jwt token
	DeleteJwtToken(key string) bool
}
